# Function shimContracts

- shimContracts(artifacts, options?): Compilation

- shims a bunch of contracts ("artifacts", though not necessarily) to a compilation. usually used via one of the above functions. Note: if you pass in options.sources, options.files will be ignored. Note: if you pass in options.sources, sources will not have compiler set unless you also pass in options.compiler; in this case you should set that up separately, as in shimCompilation().

  #### Parameters

  - ##### artifacts: (ContractObject | CompiledContract)[]

  - ##### options: CompilationOptions = {}

  #### Returns Compilation

  - Defined in codec/lib/compilations/utils.ts:87

Generated using TypeDoc